* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body,
html {
    height: 100%;
    font-family: Arial, sans-serif;
    position: relative;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    color: white;
    text-align: center;
    overflow: hidden;
}

body::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url('../images/background.webp') no-repeat center center fixed;
    background-size: cover;
    opacity: 0.5;
    z-index: -1;
}

.coming-soon-container {
    background: rgba(0, 0, 0, 0.6);
    padding: 20px 40px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    max-width: 90%;
    width: 500px;
    z-index: 1;
    position: relative;
}

h1 {
    font-size: 2.5em;
    margin-bottom: 15px;
}

h2 {
    font-size: 2.0em;
    margin-bottom: 15px;
}

p {
    font-size: 1.2em;
    line-height: 1.5;
}

@media (max-width: 768px) {
    h1 {
        font-size: 2em;
    }

    h2 {
        font-size: 1.5em;
        margin-bottom: 15px;
    }

    p {
        font-size: 1em;
    }
}

@media (max-width: 480px) {
    h1 {
        font-size: 1.8em;
    }

    h2 {
        font-size: 1.3em;
        margin-bottom: 15px;
    }

    p {
        font-size: 0.9em;
    }
}